Name: modutils
Version: 2.4.22
Release: alt1

Summary: The kernel module utilities.
License: GPL
Group: System/Kernel and hardware
Url: ftp://ftp.kernel.org/pub/linux/utils/kernel/%name/v2.4
Exclusiveos: Linux

Source0: %url/%name-%version.tar.bz2
Source1: %name.macros

Patch1: %name-2.4.13-rh-systemmap.patch
Patch2: %name-2.4.2-rh-prepost.patch
#Patch3: %name-2.4.3-mdk-macros.patch
Patch4: %name-2.4.22-alt-aliases.patch
Patch5: %name-2.4.15-alt-insmod-gpl_status.patch
Patch6: %name-2.4.15-alt-modprobe-bL.patch
Patch7: %name-2.4.15-alt-depmod-prtdepend-cut_prefix.patch
Patch8: %name-2.4.18-alt-allowable_licenses.patch
Patch9: %name-2.4.22-alt-kernelversion.patch
Patch10: %name-2.4.12-rh-combined.patch
Patch11: %name-2.4.18-rh-versions.patch

Requires(post): chkconfig, fileutils
Obsoletes: modules
Conflicts: mkinitrd < 1:2.8.0-alt1

# Automatically added by buildreq on Fri Oct 18 2002
BuildRequires: flex zlib-devel

%description
The %name packages includes the module management programs.
Examples of loaded and unloaded modules are device drivers and
filesystems, as well as some other things.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
#%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%ifnarch %ix86
%patch10 -p1
%endif
%patch11 -p1
chmod 755 insmod/kernelversion_*

%build
%configure \
	--enable-zlib \
	--exec_prefix=/
%make_build dep all

%install
mkdir -p $RPM_BUILD_ROOT/sbin
%makeinstall sbindir=$RPM_BUILD_ROOT/sbin

install -pD -m644 %SOURCE1 $RPM_BUILD_ROOT/lib/%name/macros
install -pD -m644 /dev/null $RPM_BUILD_ROOT%_sysconfdir/modules.conf

ln -snf modules.conf.5 $RPM_BUILD_ROOT%_man5dir/conf.modules.5

%post
# Get rid of the old installations on upgrade.
if [ -x %_initdir/kerneld ]; then
	/sbin/chkconfig --del kerneld
fi
if [ -f %_sysconfdir/conf.modules -a ! -f %_sysconfdir/modules.conf ]; then
	%__mv -f %_sysconfdir/conf.modules %_sysconfdir/modules.conf
fi

%files
#%config(noreplace) %_sysconfdir/cron.d/kmod
%config(noreplace) %_sysconfdir/modules.conf
/lib/%name
/sbin/*
%_mandir/man?/*
%doc README CREDITS TODO ChangeLog example/kallsyms.c include/kallsyms.h

%changelog
* Mon Jan 20 2003 Konstantin Volckov <goldhead@altlinux.ru> 2.4.22-alt1
- Updated to 2.4.22
- Changed NVdriver to nvidia
- Added alias char-major-134 apm
- Added alias char-major-212 slamrmo

* Fri Oct 18 2002 Dmitry V. Levin <ldv@altlinux.org> 2.4.21-alt1
- Updated to 2.4.21

* Mon Aug 05 2002 Dmitry V. Levin <ldv@altlinux.org> 2.4.19-alt1
- 2.4.19; Owl warning fixes and new rh aliases were merged upstream.

* Fri Aug 02 2002 Dmitry V. Levin <ldv@altlinux.org> 2.4.18-alt1
- 2.4.18
- Added some more default aliases (rh).
- Fixed checking of kernel version (rh).

* Fri Jun 14 2002 Dmitry V. Levin <ldv@altlinux.org> 2.4.16-alt1
- 2.4.16
- Fixed -Wall warnings (Owl).

* Sat Jun 01 2002 Dmitry V. Levin <ldv@altlinux.org> 2.4.15-alt1
- 2.4.15, updated patches.
- Added more licenses to gpl compatibility list.
- Added kernelversion_{major,minor} internally defined commands.
- Load hid then usbmouse is loaded (mdk).
- Disabled build of statically linked utilities
  (unneeded since mkinitrd >= 1:2.8.0-alt1 uses busybox).

* Fri Jan 11 2002 Dmitry V. Levin <ldv@alt-linux.org> 2.4.12-alt4
- macros: added kernel-dependent vlan_module alias (#0000363).

* Mon Dec 24 2001 Dmitry V. Levin <ldv@alt-linux.org> 2.4.12-alt3
- depmod: fixed cutting prefix algorithm in prtdepend.

* Fri Dec 06 2001 Konstantin Volckov <goldhead@altlinux.ru> 2.4.12-alt2
- load kbdev and mousedev when hid is loaded and not the opposite (mdk).

* Thu Nov 22 2001 Dmitry V. Levin <ldv@alt-linux.org> 2.4.12-alt1
- 2.4.12
- Added modprobe --basedir option.
- Added modprobe --listonly option (goldhead).

* Tue Nov 20 2001 Dmitry V. Levin <ldv@alt-linux.org> 2.4.11-alt1
- 2.4.11

* Mon Oct 08 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.4.10-alt1
- 2.4.10

* Tue Aug 21 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.4.7-alt1
- 2.4.7
- Dropped %_sysconfdir/cron.d/kmod (rh).

* Tue May 29 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.4.6-alt1
- 2.4.6
- Updates aliases.
- Built with "--enable-zlib".
- Read macros file /lib/%name/macros (mdk).
- Added default post/preun for binfmt_misc (rh).

* Thu Mar 29 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.4.5-alt1
- 2.4.5

* Tue Mar 27 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.4.4-alt1
- 2.4.4

* Wed Feb 28 2001 Dmitry V. Levin <ldv@fandra.org> 2.4.3-ipl1mdk
- 2.4.3

* Tue Feb 20 2001 Dmitry V. Levin <ldv@fandra.org> 2.4.2-ipl2mdk
- Updated aliases.

* Wed Jan 24 2001 Dmitry V. Levin <ldv@fandra.org> 2.4.2-ipl1mdk
- 2.4.2

* Sat Jan 20 2001 Dmitry V. Levin <ldv@fandra.org> 2.4.1-ipl2mdk
- modules.conf: added aliases for irda and wacom (MDK).

* Tue Jan 09 2001 Dmitry V. Levin <ldv@fandra.org> 2.4.1-ipl1mdk
- 2.4.1

* Tue Jan 02 2001 Dmitry V. Levin <ldv@fandra.org> 2.3.24-ipl1mdk
- 2.3.24

* Thu Dec 21 2000 Dmitry V. Levin <ldv@fandra.org> 2.3.23-ipl1mdk
- 2.3.23
- Fix bug with empty MODULE_GENERIC_STRING entries depmod loops (MDK).
- Added aliases for LVM.

* Sun Dec 10 2000 Dmitry V. Levin <ldv@fandra.org> 2.3.22-ipl1mdk
- 2.3.22

* Wed Nov 22 2000 Dmitry V. Levin <ldv@fandra.org> 2.3.21-ipl1mdk
- 2.3.21

* Tue Nov 21 2000 Dmitry V. Levin <ldv@fandra.org> 2.3.20-ipl1mdk
- 2.3.20

* Tue Nov 14 2000 Dmitry V. Levin <ldv@fandra.org> 2.3.19-ipl2mdk
- Security fix (from Keith Owens <kaos@OCS.COM.AU>).

* Mon Oct 23 2000 Dmitry V. Levin <ldv@fandra.org> 2.3.19-ipl1mdk
- 2.3.19

* Thu Oct 12 2000 Dmitry V. Levin <ldv@fandra.org> 2.3.18-ipl1mdk
- 2.3.18

* Fri Sep 29 2000 Dmitry V. Levin <ldv@fandra.org> 2.3.17-ipl2mdk
- Exclude .rhkvtmag when trying to depmod -a (Chmouel).

* Tue Sep 26 2000 Dmitry V. Levin <ldv@fandra.org> 2.3.17-ipl1mdk
- 2.3.17
- Automatically added BuildRequires.

* Thu Sep 14 2000 Dmitry V. Levin <ldv@fandra.org> 2.3.16-ipl2mdk
- Requires: vixie-cron >= 3.0.1-ipl45mdk.

* Mon Sep 11 2000 Dmitry V. Levin <ldv@fandra.org> 2.3.16-ipl1mdk
- 2.3.16

* Thu Aug 17 2000 Dmitry V. Levin <ldv@fandra.org> 2.3.15-ipl1mdk
- 2.3.15

* Mon Aug 14 2000 Dmitry V. Levin <ldv@fandra.org> 2.3.14-ipl1mdk
- 2.3.14

* Wed Aug  2 2000 Dmitry V. Levin <ldv@fandra.org> 2.3.13-ipl1mdk
- 2.3.13
- move /etc/conf.modules --> /etc/modules.conf

* Wed May 31 2000 Dmitry V. Levin <ldv@fandra.org> 2.3.11-ipl1mdk
- 2.3.11
- Crypto aliases added.
- RE and Fandra adaptions.

* Mon Apr 10 2000 Adam Lebsack <adam@mandrakesoft.com> 2.3.10-2mdk
- Removed the installing of /etc/rc.d/init.d/kerneld

* Tue Mar 21 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.10-1mdk
- Remove static files.
- Move depmod_is_necessary  to initscripts package.
- 2.3.10.

* Mon Mar 13 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.9-2mdk
- Don't cry when a conf.modules is much recent than modules.dep.
- Adjust groups.

* Mon Mar  6 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.9-1mdk
- 2.3.9.
- Patch upgrade disabling warning about conf.modules.
- getmod() also in alsa/ directory.

* Mon Nov 29 1999 Pixel <pixel@linux-mandrake.com>
- added prog is_depmod_necessary
- depmod -a now done only if is_depmod_necessary

* Mon Oct 25 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Merge with rh changes.

* Tue May 18 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Fixing typo.

* Fri Apr 30 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Removing kerneld.
- Adptations patch.
- Cleaning .spec.

* Tue Apr 13 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Add patchs from Redhat6.0.

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- restore de,fr,tr locales from RH 5.2 version
- Don't load kerneld if we have kmod.

* Mon Mar 15 1999 Bill Nottingham <notting@redhat.com>
- added support for /lib/modules/foo/pcmcia
- make kerneld initscript not start by default

* Tue Feb 23 1999 Matt Wilson <msw@redhat.com>
- added sparc64 support from UltraPenguin

* Tue Jan 12 1999 Cristian Gafton <gafton@redhat.com>
- call libtoolize to allow it to compile on the arm

* Wed Dec 23 1998 Jeff Johnson <jbj@redhat.com>
- search /lib/modules/preferred before defaults but after specified paths.

* Tue Nov 17 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to version 2.1.121

* Thu Nov 05 1998 Erik Troan <ewt@redhat.com>
- added -m, -i options

* Thu Oct 01 1998 Michael K. Johnson <johnsonm@redhat.com>
- fix syntax error I introduced when enhancing initscript

* Wed Sep 30 1998 Michael K. Johnson <johnsonm@redhat.com>
- enhance initscript

* Fri Aug 28 1998 Jeff Johnson <jbj@redhat.com>
- recompile statically linked binary for 5.2/sparc

* Tue Jul 28 1998 Jeff Johnson <jbj@redhat.com>
- pick up ultrapenguin patches (not applied for now).
- pre-generate keyword.c so gperf doesn't have to be present (not applied).
- util/sys_cm.c: fix create_module syscall (signed return on sparc too)

* Wed Jul 15 1998 Jeff Johnson <jbj@redhat.com>
- correct %postun typos

* Fri May 01 1998 Erik Troan <ewt@redhat.com>
- added /lib/modules/preferred to search path

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Apr 07 1998 Cristian Gafton <gafton@redhat.com>
- updated to 2.1.85
- actually make use of the BuildRoot

* Fri Apr  3 1998 Jakub Jelinek <jj@ultra.linux.cz>
- Fix sparc64, add modinfo64 on sparc.

* Wed Mar 23 1998 Jakub Jelinek <jj@ultra.linux.cz>
- Handle EM_SPARCV9, kludge to support both 32bit and 64bit kernels
  from the same package on sparc/sparc64.

* Fri Nov  7 1997 Michael Fulbright
- removed warning message when conf.modules exists and is a empty

* Tue Oct 28 1997 Erik Troan <ewt@redhat.com>
- patched to honor -k in options
- added modprobe.1
- added init script

* Thu Oct 23 1997 Erik Troan <ewt@redhat.com>
- removed bogus strip of lsmod (which is a script)

* Mon Oct 20 1997 Erik Troan <ewt@redhat.com>
- updated to 2.1.55
- builds in a buildroot

* Mon Aug 25 1997 Erik Troan <ewt@redhat.com>
- added insmod.static

* Sun Aug 24 1997 Erik Troan <ewt@redhat.com>
- built on Intel
- combined rmmod and insmod
